.alert .btn-close {
    background-image: var(--bs-btn-close-bg);
}

.text-right {
    text-align: right;
}

.has-icon .bx {
    font-size: 19px;
    vertical-align: sub;
}

.cursor-pointer {
    cursor: pointer;
}

.card-header.with-actions {
    display: flex;
}

.card-header.with-actions .card-title {
    flex-grow: 1;
}

.btn.rounded-pill.w-auto {
    min-width: 130px;
}

.btn.rounded-pill.w-auto.min-w-160 {
    min-width: 160px;
}

.actions-cell {
    text-align: right;
}

.actions-cell .btn {
    margin-right: 10px;
}

.no-text-transform {
    text-transform: none !important;
}

#userNameLog {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: 320px;
}


.card-header.with-search {
    display: flex;
}

.card-header.with-search .card-title {
    flex-grow: 1;
}

.product-title-row {
    display: flex;
}

.product-title-row>h6 {
    flex-grow: 1;
}

.product-prezzo-row {
    display: flex;
    align-items: center;
}

.product-prezzo-row .prezzo {
    flex-grow: 1;
}

.prodotto .peso,
.prodotto .peso-tot {
    /* min-width: 50px; */
    /* text-align: right; */
    white-space: nowrap;
}

.prodotto .side-title-column {
    min-width: 40%;
}

.prodotto .side-title-column .peso,
.prodotto .side-title-column .peso-tot {
    min-width: 50%;
    text-align: center;
}

.prodotto .peso {
    /* white-space: nowrap; */
}

.qta-selector {
    width: 120px;
}

.prodotto {
    height: 100%;
    border: 1px solid transparent !important;
    transition: border .3s;
}

.prodotto .product-title-row {
    height: 50%;
}

.prodotto-wrap {
    padding-bottom: 24px !important;
}

.prodotto.carted {
    border-color: var(--bs-primary) !important;
}

.totali ul {
    list-style: none;
    padding-left: 0;
    padding-top: 20px;
}

.totali .form-group {
    margin-top: 10px;
}

#riepilogo.order-empty .on-order-not-empty,
#riepilogo:not(.order-empty) .on-order-empty {
    display: none;
}

.page {
    justify-content: start;
    min-height: 80vh;
}

.app-content {
    padding-top: 20px;
    padding-bottom: 10px;
}

.not-matching {
    display: none;
}

.btn-is-loading i {
    animation: loader 1s infinite linear;
}

.empty-space {
    width: 100%;
    visibility: hidden;
}

/* .table.dataTable th:not(:first-child),
.table.dataTable td:not(:first-child) {
    text-align: right !important;
} */

/* #clientiTable_wrapper .table.dataTable th:not(:nth-child(2)),
#clientiTable_wrapper .table.dataTable td:not(:nth-child(2)){
    text-align: right !important;
} */

#prodottiTable_wrapper .table.dataTable th:nth-child(2),
#prodottiTable_wrapper .table.dataTable td:nth-child(2) {
    text-align: left !important;
}

#referenzeTable_wrapper .table.dataTable th:nth-child(2),
#referenzeTable_wrapper .table.dataTable td:nth-child(2),
#fornitoriTable_wrapper .table.dataTable th:nth-child(2),
#fornitoriTable_wrapper .table.dataTable td:nth-child(2) {
    text-align: left !important;
}

.table.dataTable td:first-child {
    font-weight: 600;
}

.actions-to-bottom {
    display: flex;
    align-content: flex-end;
    flex-wrap: wrap;
    align-items: flex-end;
    /* flex-direction: row-reverse; */
}

#ordine-singolo>.card-body {
    padding-bottom: 2rem !important;
}

#view-nota-ordine .card-body {
    white-space: pre-wrap;
}

label[for="view-nota-ordine"],
label[for="view-data-consegna-ordine"] {
    font-weight: 600;
}

body {
    padding-bottom: 40px;
}

.copyright {
    position: absolute;
    bottom: 20px;
    left: 0;
    width: 100%;
    text-align: center;
    font-size: 12px;
}

.copyright a {
    color: var(--bs-primary);
}

.copyright a:hover {
    text-decoration: underline;
}

.copyright .container {
    max-width: 450px;
}

body[data-page="login"] {
    padding-bottom: 0;
}

#sidenav-logo {
    position: absolute;
    bottom: 90px;
    left: 0;
    width: 100%;
}

#sidenav-logo img {
    width: 100px;
    max-width: 70%;
    margin: auto;
    display: block;
}

.dtfh-floatingparent {
    top: 60px !important;
    background: white;
}

@media(max-width: 990px) {

    .app-content {
        padding-top: 3.75rem;
    }

    .breadcrumb {
        margin-top: 25px;
    }

    .floating-header .breadcrumb {
        margin-top: 0;
    }

    #userNameLog {
        max-width: 130px;
    }

    .totali ul {
        padding-top: 0;
    }

    #sidenav-logo {
        bottom: 100px;
    }

    .copyright {
        bottom: 10px;
    }
}

.table.loading {
    opacity: .7;
    cursor: wait;
}

.alert-404 {
    max-width: 230px;
    margin: auto;
}

.card.custom-card .card-header .card-title {
    text-transform: none;
}

#stats-referenza-selector,
#stats-fornitore-selector,
#stats-categoria-selector {
    width: auto;
    min-width: 140px;
    margin-right: 30px;
}


.filters-statistiche {
    display: flex;
    flex-grow: 1;
    justify-content: end;
    flex-wrap: wrap;
    row-gap: 7px;
}



.app-content.dashboard-loading .on-not-dashboard-loading,
.app-content:not(.dashboard-loading) .on-dashboard-loading {
    display: none;
}

.dashboard-loading .card:not(#stats-parameters) {
    opacity: .5;
    cursor: wait;
}

.dashboard-loading .card:not(#stats-parameters) .card-body {
    pointer-events: none;
}

.authentication .desktop-dark,
.authentication .desktop-logo {
    height: 7rem;
}

.daterange-picker-button {
    color: inherit;
}

html[data-theme-mode="dark"] .daterangepicker {
    background-color: inherit;
}

html[data-theme-mode="dark"] .daterangepicker .ranges li:hover {
    background-color: #252729;
}

html[data-theme-mode="dark"] .daterangepicker .drp-buttons .btn.btn-default {
    color: white;
}

html[data-theme-mode="dark"] .daterangepicker .calendar-table {
    background-color: transparent;
}

html[data-theme-mode="dark"] .daterangepicker td.off,
html[data-theme-mode="dark"] .daterangepicker td.off.end-date,
html[data-theme-mode="dark"] .daterangepicker td.off.in-range,
html[data-theme-mode="dark"] .daterangepicker td.off.start-date {
    background-color: #151616;
}

html[data-theme-mode="dark"] .daterangepicker td.in-range {
    background-color: #242232;
    color: #c7c7c7;
}

html[data-theme-mode="dark"] .daterangepicker .calendar-table .next span,
html[data-theme-mode="dark"] .daterangepicker .calendar-table .prev span {
    border-color: currentColor;
}

html[data-theme-mode="dark"] .daterangepicker td.available:hover,
html[data-theme-mode="dark"] .daterangepicker th.available:hover {
    background-color: #0f1010;
}

html[data-theme-mode="dark"] .daterangepicker td.active,
html[data-theme-mode="dark"] .daterangepicker td.active:hover {
    background-color: #357ebd;
}

html[data-theme-mode="dark"] .apexcharts-xaxistooltip,
html[data-theme-mode="dark"] .apexcharts-yaxistooltip {
    background: #1a1b1c;
    color: #c3c3c3;
}

html[data-theme-mode="dark"] .qta-selector .btn:disabled {
    --bs-btn-disabled-color: #fff;
    --bs-btn-disabled-bg: #181818;
    --bs-btn-disabled-border-color: #2b2b2b;
}

html[data-theme-mode="dark"] .dtfh-floatingparent {
    background: #1a1c1e;
}

#completamento-ordini {
    min-height: 193px;
}

@media(max-width: 1300px) {
    #completamento-ordini .apexcharts-canvas {
        margin: auto;
    }
}

html[data-theme-mode="dark"] .badge.bg-dark {
    --bs-badge-color: black;
}

.sticky-card {
    position: sticky !important;
    top: 90px;
}


.floating-header .card-header {
    border-bottom: 0 !important;
}

.floating-header {
    position: sticky;
    top: 52px;
    z-index: 200;
}

html[data-theme-mode="dark"] .floating-header .card.custom-card {
    box-shadow: 0 0.125rem 0 rgb(255 255 255 / 4%);
}

@media(max-width: 768px) {
    .floating-header {
        position: static;
    }
}

@media(min-width: 768px) {
    .dataTables_paginate {
        position: relative;
        top: 7px;
    }
}

.app-header {
    z-index: 500;
}

.app-sidebar {
    z-index: 600;
}

.breadcrumb .bx {
    font-size: 21px;
    line-height: 9px;
    vertical-align: sub;
}

.special-title-wrapper {
    position: relative;
    font-size: .9375rem;
    font-weight: 700;
}

.special-title:before {
    content: "";
    position: absolute;
    height: 1rem;
    width: 0.2rem;
    inset-block-start: 0.15rem;
    inset-inline-start: -0.65rem;
    background: linear-gradient(to bottom, var(--primary05) 50%, rgba(var(--secondary-rgb), .5) 50%);
    border-radius: 0.5rem;

}

.form-with-gutter>.row {
    --bs-gutter-y: 0.6rem;
}

.sticky-card.button-esporta {
    position: sticky;
    top: 525px;
}


tr.prodotto.move-down {
    transform: translateY(46px);
    transition: transform 300ms;
}

tr.prodotto.move-up {
    transform: translateY(-46px);
    transition: transform 300ms;
}

.app-sidebar.sticky.is-closed,
.main-sidebar-header.is-closed,
.main-sidebar-header.is-closed {
    width: 5rem;
}

.side-menu__item.is-closed .side-menu__label {
    display: none;

}

.side-menu__label {
    font-size: 1rem !important;
}

#prodottiTable tr td:not(:last-child) {
    white-space: normal;
}

.content-wrapper.table-responsive {
    max-height: 50vh;
}

.error-msg-data-selector.animation-fail-ajax {
    -webkit-font-smoothing: subpixel-antialiased;
    animation: pulse 400ms 100ms 2;

}

@keyframes pulse {
    0% {
        -webkit-font-smoothing: subpixel-antialiased;
        transform: scale(1);
    }

    75% {
        -webkit-font-smoothing: subpixel-antialiased;
        transform: scale(1.1);
    }

    100% {
        -webkit-font-smoothing: subpixel-antialiased;
        transform: scale(1);
    }
}

.daterange-picker-button {
    display: block;
    text-align: left;
}

.datarangepicker-wrapper {
    position: relative;
}

.overlay-unlock-date {
    display: flex;
    width: 100%;
    height: 100%;
    position: absolute;
    background-color: #ededed;
    border-radius: .5rem;
    color: gray;
    z-index: 100;
    cursor: pointer;
    justify-content: flex-start;
    align-items: center;
    padding: 10px;
}

.filtra-text-locked {
    font-size: 14px;

}

/* .status-account{
    position: absolute;
    right: 0;
    width: 20px;
    aspect-ratio: 1;
    width: 100%;
    height: 100%;
    

} */


.status-account {
    color: red;
    display: inline-block;
    font-size: 18px;
    line-height: 10px;
    transform: translate(5px, 3px);
}

body.option-price-hide .contains-price {
    display: none;
}

body.option-hide-tot-counter-riepilogo .contains-tot-counter {
    display: none;
}

body.option-hide-product-storico .contains-product {
    display: none;
}


@media (min-width: 992px) {
    [data-vertical-style=overlay][data-toggled=icon-overlay-close] .app-content .modal {
        /* -webkit-margin-start: 5rem; */
        margin-inline-start: 5rem;
        max-width: calc(100% - 5rem);
    }

    .modal {
        max-width: calc(100% - 15rem);
        margin-inline-start: 15rem;

    }



}

.modal {
    z-index: 600 !important;
    /* max-height: 90vh; */
}

.modal-backdrop {
    z-index: 550;
}

.clearable {
    position: relative;
}

.clear-icon {
    font-size: 15px;
    position: absolute;
    right: 20px;
    bottom: 9px;
    pointer-events: all;
    cursor: pointer;
}

.breadcrumb-item:not(.active) a {
    color: #111c43;
}

table.dataTable.table-striped>tbody>tr.odd>* {
    box-shadow: none !important;
}

table .user-img-table {
    width: 35px;
    margin-right: 10px;
    object-fit: cover;
    aspect-ratio: 1/1;
    /* border-radius: 50%; */
}

/* HACK dataTable index of prezzo column */

/* body.option-price-hide table#prodottiTable td:nth-child(4), body.option-price-hide table#prodottiTable th:nth-child(4), body.option-price-hide table#prodottiTable th {
    display: none;
} */

.product-quantity-plus,
.product-quantity-minus {
    background-color: var(--primary-color);
    color: white;
}

td.azienda-name-wrapper .row {
    flex-wrap: nowrap;
}

td.azienda-name-wrapper img {
    max-width: 35px;
    height: fit-content;
    aspect-ratio: 1;
}

td .nome-azienda-text {
    align-self: center;
}

.menu-icon-contatti {
    font-size: 14px !important;
}

.menu-icon-agenti {
    font-size: 20px !important;
}

.ri-group-fill:before {
    margin-right: 2px !important;
}

#aggiungiContattiModal .modal-body {
    max-height: 80vh;
    overflow: auto;

}

.add-apps-number-form {
    cursor: pointer;
}

.apps-numbers-phone.close * {
    display: none !important;
}

.apps-numbers-phone.close {
    height: 0px;
    margin: 0 !important;
    padding: 0 !important;
    padding-bottom: 20px;
    border-bottom: 1px solid black;
    border-radius: 10px;
    opacity: 0;
    transition-duration: 500ms;
    transition-property: background-color, height, opacity;
    /* transition-delay: 2s; */

}

.apps-numbers-phone.open {
    opacity: 100%;
    height: 350px;
    padding: 15px;
    background-color: rgba(51, 51, 53, 0.1);
    border-radius: 10px;
    transition-duration: 500ms;
    transition-property: background-color, height, opacity, ;
    /* transition-timing-function: linear; */
}

.apps-numbers-phone input {
    margin-bottom: 15px !important;
}

.apps-numbers-phone {
    text-align: center;
}

@media (min-width: 576px) {
    .modal {}
}

.phone-cell i {
    font-size: 18px !important;
}

.text-phone-fisso {
    color: var(--primary-color)
}

.text-aziendale {
    color: orange
}

.input-group-text.select-prefix-phone {
    max-width: 20%;
    background-color: transparent !important;
}

.input-group select.input-group-text {
    outline: none !important;
}

.render_risultati_ricerca {
    margin-top: 10px;
    min-height: 300px;
    max-height: 300px;
    overflow: auto;
}


/* //////////////////////// */


.barcode-reader canvas {
    margin-bottom: 10px;
}

.barcode-reader-wrapper {
    overflow: hidden;
    max-height: 610px;
    transition: max-height .6s, opacity .6s;
    position: relative;
    background-color: #2f2f2f;
    border: 1px solid #ced4da;
    border-radius: 0.25rem;
    margin-bottom: 10px;
    opacity: 1;
}

.barcode-reader-wrapper:not(.open-scanner) {
    max-height: 0px;
    margin-bottom: 0px;
    opacity: 0;
}

.barcode-reader-wrapper .absolute-top-toolbar {
    position: absolute;
    top: 0;
    width: 100%;
    text-align: right;
    z-index: 1;
}

.barcode-reader-wrapper .submittable-code-wrapper {
    position: absolute;
    bottom: 15px;
    text-align: center;
    width: 100%;
}

.barcode-reader-wrapper .submittable-code {
    background: var(--main);
    color: white;
    cursor: pointer;
    border: 1px solid #7b3a00;
    padding: 1px 6px;
    border-radius: 0.25rem;
    display: inline-block;
    transform: translateY(0px);
    transition: opacity .3s, transform .3s;
    opacity: 1;
}

.barcode-reader-wrapper .submittable-code:not(.has-value) {
    transform: translateY(30px);
    opacity: 0;
}

.barcode-reader-wrapper .scanner-error {
    margin: 15px;
}

.barcode-reader-wrapper .barcode-reader {
    min-height: 372px;
}

.barcode-reader-wrapper .switch-camera {
    display: inline-block;
    margin: 5px;

}

.barcode-reader-wrapper .switch-camera .input-group-text {
    background-color: white;
    cursor: pointer;
}

.barcode-reader-wrapper .switch-camera .input-group-text:hover {
    border-color: var(--main);
    color: var(--main);
}

.prodotto-card {
    margin-block-end: 0.5rem;
    cursor: pointer;
}

.prodotto-card.active {
    background-color: rgba(38, 191, 148, 0.3);
}

.prodotto-card:hover {
    cursor: pointer;
    background-color: rgba(38, 191, 148, 0.3);
}

body:not(.is-edit) a.clear-form {
    display: none;
}

body:not(.is-edit) span.card-title-form-prodotto.edit {
    display: none;
}

body.is-edit span.card-title-form-prodotto:not(.edit) {
    display: none;
}

td.avatar-teams {
    min-height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.avatar-teams img {
    height: 40px;
    border-radius: 50%;
    margin-right: -20px;
}

body:not(.show-form-listino) .form-listino,
body.show-form-listino #aggiungiListinoBtn,
body:not(.show-form-listino) #aggiungiListinoBtnAnnulla {
    display: none;
}

body:not(.edit) .show-on-edit {
    display: none;
}

.choices__list--dropdown .choices__item--selectable {
    padding-right: 0 !important;
}

span.ql-formats button.ql-active {
    /* background: #f0f0f0 !important; */
    -webkit-box-shadow: inset 0px 0px 5px #c1c1c1 !important;
    -moz-box-shadow: inset 0px 0px 5px #c1c1c1 !important;
    box-shadow: inset 0px 0px 5px #c1c1c1 !important;
    outline: none;
}

span.ql-formats button:first-child {
    border-top-left-radius: .5rem;
    border-bottom-left-radius: .5rem;
}

span.ql-formats button:last-child {
    border-top-right-radius: .5rem;
    border-bottom-right-radius: .5rem;
}

i.mr-2::before {
    margin-right: 0.25rem;
}

.count-ticket-badge {

    padding: .25rem .45rem;
    font-weight: 600;
    border-radius: .25rem;
    height: 100%;

}

.badge.bg-red-light {
    background-color: #ffb30085;
}

.ticket-container {
    background: #8080800c;
    padding: 10px 20px;
    border-radius: 10px;
}

.wrapper-comment-editor:not(.show),
.wrapper-close-ticket:not(.show) {
    display: none;
}

.card .border-theme {
    border-color: #a3aed1 !important;
}

/* .commenta-ticket-btn.btn.btn-secondary-light:focus{
    background-color: unset;
    color: unset;
    border-color: unset;
} */
.show .comment.hide,
.show .show-less-comment,
.show-all-comment {
    display: block !important;
}

.comment.hide,
.show-less-comment,
.show .show-all-comment {
    display: none !important;
}

.show-all-comment,
.show-less-comment {
    cursor: pointer;
}

.card-footer .count-ticket-badge {
    margin-left: 5px !important;
}

.badge.active {
    background-color: #f8f7b9 !important;
}

.badge.completed {
    background-color: #c6f8b9 !important;
}

.badge.closed {
    background-color: #f8c5b9 !important;
}

.badge.sales {
    background-color: #b9d7f8 !important;
}

.badge.default-color {
    background-color: #f3f6f8 !important;
}

.show-all-comment .label-text,
.show-less-comment .label-text,
.count-comment-badge {
    position: relative;
    padding: 0.3rem 0.75rem 0.3rem 0.75rem;
    background-color: var(--primary01);
    color: var(--primary-color);
    border-radius: 0.5rem;
    font-weight: 500;
    font-size: 0.75rem;
    vertical-align: middle;
}

.show-less-comment .label-text {
    padding: 0.3rem 1.85rem 0.3rem 0.75rem;
}

.show-all-comment .icon:before {
    position: absolute;
    content: "\f64d";
    /* inset-inline-end: 0.5rem; */
    font-family: bootstrap-icons !important;
    inset-block-start: 0.2rem;
    font-weight: bold;
}

.show-less-comment .label-text:before {
    position: absolute;
    content: "\f63b";
    inset-inline-end: 0.5rem;
    font-family: bootstrap-icons !important;
    inset-block-start: 0.2rem;
    font-weight: bold;
}

.count-comment-badge {
    vertical-align: middle;
    text-align: center;
    padding: 0.3rem 0rem 0.3rem 0.75rem;
    display: inline-block;
    margin-left: 5px;
    background-color: unset;
}

.page-item.number .page-link,
.page-item .change-pagination {
    cursor: pointer;

}

.work-on-ticket.prefab {
    display: none;
}

.work-on-ticket {
    border-bottom: 1px solid var(--primary-color);
}

.add-worker-on-ticket .bi-plus-circle-fill::before {
    font-size: 20px;
    color: rgba(var(--secondary-rgb), .5);
}

.form-control.first-option-placeholder:first {
    color: #999 !important;
}

.more-font-size.side-menu__icon {
    font-size: 1.55rem;
}

.margin-left-20 {
    margin-left: 20px !important;
}

img.img-prodotto-list {
    border-radius: 5px;
    width: 80px;
    aspect-ratio: 1/1;
}

/* #sidebar.app-sidebar,
.app-sidebar .main-sidebar-header {
    width: 17rem !important;
} */
.main-sidebar-header {
    padding: 0 !important;
}

.svg {
    width: 100%;
}

.svg.desktop-dark svg {
    width: 140px !important;
    max-height: 60px !important;

}

.svg.toggle-dark svg {
    max-width: 100% !important;
    max-height: 45px !important;
}

#sidebar-scroll.main-sidebar {

    background-color: var(--default-body-bg-color);
}

.main-menu * {
    color: rgba(0, 0, 0, 0.719) !important;
}

.fast-action .card.bg-primary-transparent {
    background-color: var(--primary01) !important;
    color: var(--primary-color) !important;
    border: 1px solid var(--primary-color);
}

.fast-action .card.bg-success-transparent {
    background-color: rgba(var(--success-rgb), .1) !important;
    color: rgb(var(--success-rgb)) !important;
    border: 1px solid rgb(var(--success-rgb));
}

.fast-action .card.bg-yellow-transparent {
    background-color: rgba(var(--warning-rgb), .1) !important;
    color: rgb(var(--warning-rgb)) !important;
    border: 1px solid rgb(var(--warning-rgb));
}

.fast-action .card.bg-blue-transparent {
    background-color: rgba(77, 73, 245, .1) !important;
    color: rgb(77, 73, 245) !important;
    border: 1px solid rgb(77, 73, 245);
}

.fast-action .card.bg-red-transparent {
    background-color: rgba(245, 73, 73, .1) !important;
    color: rgb(245, 73, 73, 1) !important;
    border: 1px solid rgb(245, 73, 73, 1);
}

.fast-action .card.bg-red-transparent {
    background-color: rgba(245, 73, 73, .1) !important;
    color: rgb(245, 73, 73, 1) !important;
    border: 1px solid rgb(245, 73, 73, 1);
}

.fast-action .card.bg-gray-transparent {
    background-color: rgba(108, 117, 125, .1) !important;
    color: rgb(108, 117, 125) !important;
    border: 1px solid rgb(108, 117, 125);
}

.fast-action .card.bg-secondary-transparent {
    background-color: rgba(var(--secondary-rgb), .1) !important;
    color: rgb(var(--secondary-rgb)) !important;
    border: 1px solid rgb(var(--secondary-rgb)) !important;
}

.fast-action .card.bg-teal-transparent {
    background-color: rgba(35, 229, 189, .1) !important;
    color: rgb(35, 229, 189) !important;
    border: 1px solid rgb(35, 229, 189) !important;
}

.same-height {
    height: calc(100% - 1.5rem);
    justify-content: center;
    align-items: center;

}

.row.fast-action {
    justify-content: start;
    flex-wrap: wrap;

}

a.disabled {
    pointer-events: none;
    cursor: default;
}

.row.fast-action .col {
    min-width: 225px;
}

.row.fast-action .card i,
.row.fast-action .card h5 {
    padding: 10px 5px 10px 5px
}

.row.fast-action .card {
    padding: 5px;
    min-width: 170px;
}

.row.fast-action .card i {
    font-size: 60px;

    padding: 0;
}

.row.fast-action .card i.bx {
    font-size: 75px;
}

.row.fast-action .card i::before {
    display: block;
    /* height: 60px; */

}

.row.add-order-admin .d-flex {
    gap: 10px;
}

.row.add-order-admin .select2-container--default .select2-selection--single .select2-selection__rendered {
    line-height: 37px;


}

.row.add-order-admin .select2-container--default .select2-selection--single .select2-selection__clear {
    margin-top: -4px;
}

.row.add-order-admin .col-4 {
    padding: 0;
}

.row.add-order-admin .card,
.row.add-order-admin .col-4 {
    min-width: 230px;
}

#riepilogo .col-6.col-md-3.col-date {
    display: flex;
    flex-direction: column;
    min-width: 110px;

}

#riepilogo .totali .col-date .form-group {
    display: flex;
    flex-direction: column;
    flex-grow: 1;
    justify-content: space-between;
}

.row.fast-action .wrapper-icon {
    display: flex;
    justify-content: end;
    align-items: start;
    height: 100%;
}

.datatables-checkbox {
    max-width: 20px;
}

#aggiungiContattiModal .nav-item {
    -webkit-margin-end: 0;
    margin-inline-end: 0;
}

#aggiungiContattiModal .nav-item button {
    border-radius: 5px 5px 0 0;
}

.app-sidebar .side-menu__icon.menu-icon-contatti {
    font-size: 19px !important;
}

.form-range::-moz-range-progress {
    background-color: red;
    accent-color: green;
}

/* .form-range::-webkit-slider-thumb, .form-range:focus::-webkit-slider-thumb{
    background-color: red;
   
}
.form-range::-webkit-slider-thumb, .form-range:focus::-webkit-slider-thumb{
    
    background-color: red;
   
}
.form-range{
   
    accent-color: green;
} */
#aggiungiProvigioneModal .form-group {
    width: 100%;
}

#aggiungiProvigioneModal {
    --bs-modal-width: 260px;
}

.name-cliente {
    margin-left: 20px;
}

.fc-event.evento {
    background-color: rgba(35, 183, 229, .7) !important;
    border-color: rgb(35, 183, 229) !important;
    color: rgb(255, 255, 255) !important;
}

.fc-event-tooltip.evento {
    background-color: rgb(35, 183, 229) !important;
    border-color: rgb(35, 183, 229) !important;
    color: rgb(255, 255, 255) !important;
    margin: 0 2px 0 2px !important;
    padding: 2px !important;
    overflow: hidden;
    max-height: 100px;
}

.fc-event.evento:hover {
    background-color: rgb(35, 183, 229) !important;
}

.fc-event.appuntamento {
    background-color: rgba(132, 90, 223, .7) !important;
    border-color: rgb(132, 90, 223) !important;
    color: white !important;
}

.fc-event-tooltip.appuntamento {
    background-color: rgb(132, 90, 223) !important;
    border-color: rgb(132, 90, 223) !important;
    color: white !important;
    margin: 0 2px 0 2px;
    padding: 2px !important
}

.fc-event.appuntamento:hover {

    background-color: rgb(132, 90, 223) !important;
}

.fc-list .fc-event.appuntamento:hover,
.fc-list .fc-event.evento:hover,
.fc-list .fc-event.visita:hover {
    color: rgb(0, 0, 0) !important;
}

.fc-event.visita {
    background-color: rgba(35, 229, 189, .7) !important;
    border-color: rgb(35, 229, 189) !important;
    color: white !important;

}

.fc-event-tooltip.visita {
    background-color: rgb(35, 229, 189) !important;
    border-color: rgb(35, 229, 189) !important;
    color: white !important;
    margin: 0 2px 0 2px;
    padding: 2px !important;
    overflow: hidden;
}

.fc-event.visita:hover {

    background-color: rgb(35, 229, 189) !important;
}

.fc-event-time,
.fc-daygrid-event-dot {
    display: none !important;
}

.fc-event {
    padding-left: 2px;
}

.icon-card-header {
    max-height: 45px;
}

/* .icon-card-header.ordini,
.icon-card-header.azienda,
.icon-card-header.contatti,
.icon-card-header.statistiche,
.icon-card-header.ticket-list,
.icon-card-header.agenti,
.icon-card-header.crea-ticket,
.icon-card-header.nuovo-ordine,
.icon-card-header.giacenze,
.icon-card-header.attivita {
    max-height: 45px;
} */

.bg-image {
    height: 100%;
    width: calc(100% - 270px);
    position: absolute;
    top: 0px;
    background-position: center;
    background-size: 80%;
    opacity: 0.5;
    z-index: -99;
    background-repeat: no-repeat;

}

.bg-image.carrello {
    background-image: url('../../upload/content/icon/carrello-1.png');
}

.bg-image.dashboard {
    background-image: url('../../upload/content/icon/16.png');
    background-position: 325px center;
}

.fullcalendar-events-activity li.evento::before {
    background-color: rgba(35, 183, 229, .7) !important;
}

.fullcalendar-events-activity li.appuntamento::before {
    background-color: rgb(132, 90, 223) !important;
}

.fullcalendar-events-activity li.visita::before {
    background-color: rgba(35, 229, 189, .7) !important;
}

.image-attivita-calendario{
    max-width: 100%;
}